
D4Science Infrastructure - Support #1214

create new VM for hosting the authorization service in pre-production environment

Oct 22, 2015 03:08 PM - Roberto Cirillo

Status: Closed Start date: Oct 22, 2015

Priority: High Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Infrastructure: Pre-Production   

Description

The new VM should have:

2 GB of RAM.

2 vcpu

Java7

apache-tomcat 7

This will be a pre production VM.

Related issues:

Related to D4Science Infrastructure - Upgrade #1073: Ecosystem VO upgrade to ... Closed Oct 23, 2015 Oct 26, 2015

History

#1 - Oct 23, 2015 10:14 AM - Roberto Cirillo

- Related to Upgrade #1073: Ecosystem VO upgrade to gCube 3.9.0 added

#2 - Oct 23, 2015 10:17 AM - Roberto Cirillo

- Priority changed from Normal to High

#3 - Oct 29, 2015 10:41 AM - Tommaso Piccioli

- Status changed from New to Closed

- % Done changed from 0 to 100

auth-pre-d4s.d4science.org ready, tomcat on port 8080, user gcube.

#4 - Oct 29, 2015 10:43 AM - Tommaso Piccioli

- Status changed from Closed to In Progress

- Assignee changed from _InfraScience Systems Engineer to Andrea Dell'Amico

- % Done changed from 100 to 90

Please ganglia monitoring this host.

#5 - Oct 29, 2015 10:54 AM - Andrea Dell'Amico

Is the VM becoming part of one of the existing ganglia cluster? If not I can create a generic "D4Science services" and put there all the VMs that do not

pertain to a cluster.

#6 - Oct 29, 2015 12:08 PM - Roberto Cirillo

The authorization service is a smartgears service hence it could be added to the "D4Science smartgears cluster" group.

However in "D4Science smartgears cluster" I see only the smart-executor services (that are of course smartgears service) and I don't see, for

example, tabulardata.d4science.org that is also a smartgears service. Is there a reason for this?

#7 - Oct 29, 2015 12:44 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

The authorization service is a smartgears service hence it could be added to the "D4Science smartgears cluster" group.
 OK

However in "D4Science smartgears cluster" I see only the smart-executor services (that are of course smartgears service) and I don't see, for

example, tabulardata.d4science.org that is also a smartgears service. Is there a reason for this?

 As we found yesterday, tabulardata was listed in the ghn_gcore_prod inventory group in ansible. I moved it to the right group but it wasn't

reconfigured. I'll do that together with the configuration of auth-pre-d4s.d4science.org

#8 - Oct 29, 2015 03:34 PM - Andrea Dell'Amico

- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

The node has been added to ganglia.

tabulardata has been moved to the Smartgears ganglia cluster, too.

#9 - Nov 20, 2015 03:31 PM - Andrea Dell'Amico

- Status changed from Resolved to Closed
